#ifndef STDAFX_H
#define STDAFX_H

#pragma once

#define BUILDING_DRIVER

#include <ntifs.h>
#include "ScopedObjects.h"
#include "DbgText.h"

static const ULONG g_dwMajorVersionRequired = 6;
static const ULONG g_dwHighestMinorVersion = 1;

// implementation of these and the globals are in globals.cpp
void* __cdecl operator new(size_t size);
void __cdecl operator delete(PVOID);
void* __cdecl operator new[](size_t size);
void __cdecl operator delete[](PVOID);

// names of the links are the same as those from the original version
extern UNICODE_STRING g_usSymName;
// synchro mutex
extern KGUARDED_MUTEX g_Mutex;
// EResource pointer
extern PERESOURCE* g_ppEResource;
// current major os version
extern ULONG g_dwMajorVersion;
// current minor os version
extern ULONG g_dwMinorVersion;

#pragma intrinsic(memcpy)
#pragma intrinsic(memset)

#endif
